<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Wed Aug 25 22:08:27 CEST 2021 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-25">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="all-classes-index">
<script type="text/javascript">var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":2,"i7":2,"i8":1,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":1,"i15":4,"i16":2,"i17":2,"i18":2,"i19":2,"i20":1,"i21":1,"i22":2,"i23":2,"i24":2,"i25":2,"i26":2,"i27":1,"i28":2,"i29":2,"i30":2,"i31":1,"i32":2,"i33":2,"i34":2,"i35":2,"i36":2,"i37":2,"i38":1,"i39":2,"i40":2,"i41":2,"i42":2,"i43":2,"i44":2,"i45":2,"i46":1,"i47":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<div class="typeSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="typeSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Classes</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Class Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Enum Summary</button></div>
<div id="typeSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/AuthController.html" title="class in com.zelyvanna.bdoefficiency.controller">AuthController</a></td>
<th class="colLast" scope="row">
<div class="block">Authentication Controller</div>
</th>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/security/jwt/AuthEntryPointJwt.html" title="class in com.zelyvanna.bdoefficiency.security.jwt">AuthEntryPointJwt</a></td>
<th class="colLast" scope="row">
<div class="block">AuthEntryPointJWT</div>
</th>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/security/jwt/AuthTokenFilter.html" title="class in com.zelyvanna.bdoefficiency.security.jwt">AuthTokenFilter</a></td>
<th class="colLast" scope="row">
<div class="block">Auth Token Filter</div>
</th>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/BdoefficiencyApplication.html" title="class in com.zelyvanna.bdoefficiency">BdoefficiencyApplication</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/BdoefficiencyApplicationTests.html" title="class in com.zelyvanna.bdoefficiency">BdoefficiencyApplicationTests</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></td>
<th class="colLast" scope="row">
<div class="block">Character Entity</div>
</th>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/CharacterController.html" title="class in com.zelyvanna.bdoefficiency.controller">CharacterController</a></td>
<th class="colLast" scope="row">
<div class="block">Character Controller</div>
</th>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/CharacterControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller">CharacterControllerTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">CharacterRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Character Repository</div>
</th>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/Classe.html" title="class in com.zelyvanna.bdoefficiency.model">Classe</a></td>
<th class="colLast" scope="row">
<div class="block">Classe Entity</div>
</th>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseAverage</a></td>
<th class="colLast" scope="row">
<div class="block">Classe Averages
 Average money per hour per classe</div>
</th>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/ClasseController.html" title="class in com.zelyvanna.bdoefficiency.controller">ClasseController</a></td>
<th class="colLast" scope="row">
<div class="block">Classe Controller</div>
</th>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/ClasseControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller">ClasseControllerTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/ClasseCount.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseCount</a></td>
<th class="colLast" scope="row">
<div class="block">Number of character per classe</div>
</th>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/repository/ClasseRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">ClasseRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Classe Repository</div>
</th>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/ERole.html" title="enum in com.zelyvanna.bdoefficiency.model">ERole</a></td>
<th class="colLast" scope="row">
<div class="block">Enum of Roles</div>
</th>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></td>
<th class="colLast" scope="row">
<div class="block">Grind Session Entity</div>
</th>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></td>
<th class="colLast" scope="row">
<div class="block">Grind Controller</div>
</th>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/GrindControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindControllerTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></td>
<th class="colLast" scope="row">
<div class="block">GrindItem represents the items and their quantities dropped in a Grind session</div>
</th>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/repository/GrindItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindItemRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Grind Item Repository</div>
</th>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Grind Session Repository</div>
</th>
</tr>
<tr class="altColor" id="i22">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></td>
<th class="colLast" scope="row">
<div class="block">Grindspot Entity</div>
</th>
</tr>
<tr class="rowColor" id="i23">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a></td>
<th class="colLast" scope="row">
<div class="block">Grindspot Averages
 Average money per hour per grindpot</div>
</th>
</tr>
<tr class="altColor" id="i24">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/GrindspotController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindspotController</a></td>
<th class="colLast" scope="row">
<div class="block">Grindspot Controller</div>
</th>
</tr>
<tr class="rowColor" id="i25">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/GrindspotControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindspotControllerTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i26">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/GrindspotCount.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotCount</a></td>
<th class="colLast" scope="row">
<div class="block">Number of grind sessions per grindspot</div>
</th>
</tr>
<tr class="rowColor" id="i27">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/repository/GrindspotRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindspotRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Grindspot Repository</div>
</th>
</tr>
<tr class="altColor" id="i28">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></td>
<th class="colLast" scope="row">
<div class="block">Item Entity</div>
</th>
</tr>
<tr class="rowColor" id="i29">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/ItemController.html" title="class in com.zelyvanna.bdoefficiency.controller">ItemController</a></td>
<th class="colLast" scope="row">
<div class="block">Item Controller</div>
</th>
</tr>
<tr class="altColor" id="i30">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/ItemControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller">ItemControllerTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i31">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/repository/ItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">ItemRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Item Repository</div>
</th>
</tr>
<tr class="altColor" id="i32">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></td>
<th class="colLast" scope="row">
<div class="block">JWT Response</div>
</th>
</tr>
<tr class="rowColor" id="i33">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/security/jwt/JwtUtils.html" title="class in com.zelyvanna.bdoefficiency.security.jwt">JwtUtils</a></td>
<th class="colLast" scope="row">
<div class="block">JWT Utils</div>
</th>
</tr>
<tr class="altColor" id="i34">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">LoginRequest</a></td>
<th class="colLast" scope="row">
<div class="block">Login Request</div>
</th>
</tr>
<tr class="rowColor" id="i35">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/payload/response/MessageResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">MessageResponse</a></td>
<th class="colLast" scope="row">
<div class="block">Message Response</div>
</th>
</tr>
<tr class="altColor" id="i36">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/payload/ParameterStringBuilder.html" title="class in com.zelyvanna.bdoefficiency.payload">ParameterStringBuilder</a></td>
<th class="colLast" scope="row">
<div class="block">Parameter String Builder</div>
</th>
</tr>
<tr class="rowColor" id="i37">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a></td>
<th class="colLast" scope="row">
<div class="block">Role Entity</div>
</th>
</tr>
<tr class="altColor" id="i38">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/repository/RoleRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">RoleRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Role Repository</div>
</th>
</tr>
<tr class="rowColor" id="i39">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/ServletInitializer.html" title="class in com.zelyvanna.bdoefficiency">ServletInitializer</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i40">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></td>
<th class="colLast" scope="row">
<div class="block">Signup Request</div>
</th>
</tr>
<tr class="rowColor" id="i41">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/controller/TestController.html" title="class in com.zelyvanna.bdoefficiency.controller">TestController</a></td>
<th class="colLast" scope="row">
<div class="block">Test Controller
 User to test acces rights</div>
</th>
</tr>
<tr class="altColor" id="i42">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/security/TestSecurityConfig.html" title="class in com.zelyvanna.bdoefficiency.security">TestSecurityConfig</a></td>
<th class="colLast" scope="row">
<div class="block">Web Security Configuration for testing purpose</div>
</th>
</tr>
<tr class="rowColor" id="i43">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></td>
<th class="colLast" scope="row">
<div class="block">User Entity</div>
</th>
</tr>
<tr class="altColor" id="i44">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></td>
<th class="colLast" scope="row">
<div class="block">Implementation of User Details</div>
</th>
</tr>
<tr class="rowColor" id="i45">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/security/services/UserDetailsServiceImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsServiceImpl</a></td>
<th class="colLast" scope="row">
<div class="block">Service of the User Details Implementation</div>
</th>
</tr>
<tr class="altColor" id="i46">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/repository/UserRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">UserRepository</a></td>
<th class="colLast" scope="row">
<div class="block">User Repository</div>
</th>
</tr>
<tr class="rowColor" id="i47">
<td class="colFirst"><a href="com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html" title="class in com.zelyvanna.bdoefficiency.security">WebSecurityConfig</a></td>
<th class="colLast" scope="row">
<div class="block">Web Security Configuration</div>
</th>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
